VSTGUI: StringDataPackage< AsFile > Struct Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
StringDataPackage< AsFile > Struct Template Reference
Inheritance diagram for StringDataPackage< AsFile >:

## Public Member Functions
| StringDataPackage (std::string_view str)
uint32_t | getCount () const final
uint32_t | getDataSize (uint32_t index) const final
Type | getDataType (uint32_t index) const final
uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const final
Public Member Functions inherited from ReferenceCounted< std::atomic< int32_t > >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Public Attributes
std::string | str

## Additional Inherited Members
Public Types inherited from IDataPackage
enum | Type { kFilePath = 0 , kText , kBinary , kError = -1 }
Protected Member Functions inherited from IDataPackage
| IDataPackage ()

## Constructor & Destructor Documentation

## ◆ StringDataPackage()

template<bool AsFile>

StringDataPackage | ( | std::string_view | str | ) |
| inline

## Member Function Documentation

## ◆ getCount()

template<bool AsFile>

uint32_t getCount | ( |  | ) | const
| inlinefinalvirtual

Implements IDataPackage.

## ◆ getData()

template<bool AsFile>

uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type ) const
| inlinefinalvirtual

Implements IDataPackage.

## ◆ getDataSize()

template<bool AsFile>

uint32_t getDataSize | ( | uint32_t | index | ) | const
| inlinefinalvirtual

Implements IDataPackage.

## ◆ getDataType()

template<bool AsFile>

Type getDataType | ( | uint32_t | index | ) | const
| inlinefinalvirtual

Implements IDataPackage.

## Member Data Documentation

## ◆ str

template<bool AsFile>

std::string str

The documentation for this struct was generated from the following file:

- cclipboard.cpp